/* Assembly of the various meshes for The Cho Priest, and his staff.
	!!!! BEFORE YOU TRY TO RENDER -- READ THIS BELOW !!!!
	In order to use this, you of course need the various triangle
	mesh files. They were... well, a little big to include in the ZIP
	file, but I'm including the original Rhino 3DM file out of which
	I exported them if you're really really interested. (not much to
	learn from reading twelve megs worth of smooth triangle data
	anyway).
*/

/*FIRST SOME TEXTURES*/
//The hood of the robe...
#declare Object1Texture = texture {
   pigment { rgb<0.607059,0.164706,0.164706> }
   normal{ wrinkles .75  scale <3,3,3>}
   finish { crand .1 diffuse .65}
}

//the body of the robe...
#declare Object2Texture = texture {
   pigment { rgb<0.607059,0.164706,0.164706> }
   normal{ wrinkles .85  scale <3,12,3>}
   finish { crand .1 diffuse .65 }
}

//the left sleeve...
#declare Object3Texture = texture {
   pigment { rgb<0.607059,0.164706,0.164706> }
   normal{ wrinkles .85  scale <10,2,2>}
   finish { crand .1 diffuse .65}
}

//the left hand...
#declare Object4Texture= texture {
	pigment {rgb<0.945,0.725,0.505>}
	finish { diffuse .55 }
}

//the right sleeve...
#declare Object5Texture = texture {
   pigment { rgb<0.607059,0.164706,0.164706> }
   normal{ wrinkles .85  scale <10,2,2>}
   finish { crand .1 diffuse .65 }
}

//the right hand...
#declare Object6Texture= texture {
	pigment {rgb<0.945,0.725,0.505>}
	finish { diffuse .55  }
}

/*OKAY PUT IT TOGETHER*/

union {
	#include "chostaff.inc" object { Staff }
        #include "chopri~1.inc"
        #include "chopri~2.inc"
        #include "chopri~3.inc"
        #include "chopri~4.inc"
        #include "chopri~5.inc"
        #include "chopri~6.inc"
	translate<0,0,-28>
}


