/* Torchfires for the substacks in the temple of CHO. Probably a farewell
   to halos, as you know, POV beta 3.1 is coming out, and of course,
   "media {}" will be usurping the place of halos. Still, they came in
   handy for this one last scene.
 */

#declare Flames =
texture {
	pigment { color rgbt<1,1,1,1> }
	finish { ambient 0 diffuse 0 }
	halo {
		linear
		emitting
		planar_mapping
		max_value 1
		exponent 1.5
		color_map {
		[0.0 color rgbt<1, 0, 0, 1>]
		[0.8 color rgbt<1, .75, 0, .5>]
		[1.0 color rgbt<1, 1, 0, .25>]
		}
	  turbulence <.3,1,.3>
	  samples 20
	  aa_level 3
	  aa_threshold 0.3
	  translate <0, clock, 0>
	 }


}

#declare Torchfire =
union {
	cone { //The fire
		<0,0,0>,1.5,<0,1.2,0>,.45 hollow no_shadow
		texture {Flames }
		scale <3.9,12,3.9>
		translate <0,1.5+Altitude,0>
	}

	light_source { <0,17,0>, color rgb <.7,.8,.4>
		fade_distance 30 fade_power 2
	}

	difference { //the clay firepit
		superellipsoid {
			<1,.075> rotate<90,0,0>
			scale <7.5,1,7.5> translate<0,-1,0>
		}

		sphere {
			<0,0,0>,1
			scale <6.5,1,6.5>
		}

		texture { //kind of a red clay
			pigment {  rgb<0.607059,0.314706,0.314706> }
			finish {
				specular 0 phong 0
				diffuse .65 brilliance .975
			}
		}
		translate <0,2+Altitude,0>
	}
}



